Bug 216980 - net/freerdp: fix build with libressl-devel
Summary: net/freerdp: fix build with libressl-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-10 21:31 UTC by Matthew Rezny
Modified: 2017-02-21 14:35 UTC (History)
1 user (show)

See Also:
kevans: maintainer-feedback+


Attachments
fix build with libressl-devel (2.47 KB, patch)
2017-02-10 21:31 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2017-02-10 21:31:51 UTC
Created attachment 179853 [details]
fix build with libressl-devel

Add a patch based on one from OpeBSD in order to allow to build with libressl-devel. This patch differs from theirs since OpenBSD has FreeRDP 1.2 in their ports tree.

While here, change the SSE option to only be defied for x86 instead of merely excluded from ARM and default it ON on amd64 since SSE2 support is always present there.

I have noticed that the build fails when a past revision of the port is installed because the linking of xfreerdp picks up linfreerdp.so from localbase instead of from the build directory, but I have not addressed that issue in this patch.
Comment 1 Kyle Evans freebsd_committer 2017-02-12 01:36:17 UTC
Comment on attachment 179853 [details]
fix build with libressl-devel

Hi,

This looks good to me; especially +1 on the SSE change. Test build runs fine w/ OpenSSL, unfortunately I don't have a quick way to build and test this with LibreSSL -- is it safe to assume you've tested this, at least briefly, with such a setup?
Comment 2 Matthew Rezny freebsd_committer 2017-02-14 00:37:00 UTC
Yes, I've verified it builds and runs with libressl-devel. I'm confident in the first chunk of the patch since it comes from OpenBSD. The other change was my quick solution to get it to build as I saw no way to directly manipulate that value which is now internal. The affected code is a work-around for an incorrect client, nothing critical.
Comment 3 Kyle Evans freebsd_committer 2017-02-14 00:47:06 UTC
Comment on attachment 179853 [details]
fix build with libressl-devel

Cool, thanks. =) I had kind of figured this was to address your own use-case and thus, tested, but wanted to verify.
Comment 4 commit-hook freebsd_committer 2017-02-21 14:34:42 UTC
A commit references this bug:

Author: rezny
Date: Tue Feb 21 14:33:55 UTC 2017
New revision: 434532
URL: https://svnweb.freebsd.org/changeset/ports/434532

Log:
  Fix build with libressl-devel. Restrict SSE option to x86, default on amd64.

  PR:		216980
  Approved by:	bsdports@kyle-evans.net (maintainer), swills (mentor)
  Obtained from:	OpenBSD
  Differential Revision:	https://reviews.freebsd.org/D9671

Changes:
  head/net/freerdp/Makefile
  head/net/freerdp/files/patch-libfreerdp_crypto_tls.c